import { Component, OnInit } from '@angular/core';
import { EditTagComponent } from '../edit-tag/edit-tag.component';
import { EditRatingStarComponent } from '../edit-rating-star/edit-rating-star.component';
import {IonHeader, IonToolbar, IonTitle, IonContent, IonIcon } from '@ionic/angular/standalone';
import { sunny } from 'ionicons/icons';
import { addIcons } from 'ionicons';


@Component({
  selector: 'app-page-daily',
  templateUrl: './page-daily.component.html',
  styleUrls: ['./page-daily.component.scss'],
  standalone: true,
  imports:[EditTagComponent,EditRatingStarComponent,IonHeader, IonIcon, IonToolbar, IonTitle, IonContent ]
})
export class PageDailyComponent  implements OnInit {
  
  currentScore: number = 0; // 初始分值

  handleScoreChange(newScore: number) {
    this.currentScore = newScore;
    console.log('新分值:', newScore); // 处理分值变化
  }
   // 编辑标签
   editTags:Array<string> = []
   setTagsValue(ev:any){
     console.log("setTagsValue",ev)
     this.editTags = ev;
   }

  constructor() {
    addIcons({sunny});
   }

  ngOnInit() {}

}

